## wxGridCellTextEditor

The editor for string/text data.

Derived from

wxGridCellEditor

See also

wxGridCellEditor, wxGridCellFloatEditor, wxGridCellBoolEditor, wxGridCellNumberEditor, wxGridCellChoiceEditor

Include files

<wx/grid.h>

Members

wxGridCellTextEditor::wxGridCellTextEditor
wxGridCellTextEditor::SetParameters

### wxGridCellTextEditor::wxGridCellTextEditor

wxGridCellTextEditor()

Default constructor.

### wxGridCellTextEditor::SetParameters

void SetParameters(const wxString& params)

The parameters string format is "n" where n is a number representing the maximum width.